<?php

namespace fazacrmclient;

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 */
class Plugin extends fazacore\Plugin {

    public static $plugin_name;
    public static $plugin_version;

    public function configure() {

        parent::configure();

        self::$plugin_name = 'fazacrmclient';

        if (defined('FAZACRM_PLUGIN_NAME_VERSION')) {
            self::$plugin_version = FAZACRM_PLUGIN_NAME_VERSION;
        } else {
            self::$plugin_version = '1.0.0';
        }

        $backend = Backend::getInstance();
        $backend->configure();
        $frontend = Frontend::getInstance();
        $frontend->configure();

        $this->load_plugin_textdomain();
    }

    public function load_plugin_textdomain() {
        load_plugin_textdomain(
                'fazacrmclient', false, dirname(dirname(plugin_basename(__FILE__))) . '/languages/'
        );
    }

    public function activate() {
        flush_rewrite_rules();
    }

    public function deactivate() {
        flush_rewrite_rules();
    }

}
