<?php

namespace fazacrmclient\fazacore;

// If this file is called directly, abort.
if (!defined('WPINC')) {
    die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define('FAZACORE_VERSION', '1.0.0');

class Plugin {

    private static $instances = array();

    static function getInstance() {
        $child_class = get_called_class();
        if (array_key_exists($child_class, self::$instances) && !is_null(self::$instances[$child_class])) {
            return self::$instances[$child_class];
        }
        $obj = new $child_class;
        self::$instances[$child_class] = $obj;
        return self::$instances[$child_class];
    }

    public function loader() {
        //require_once plugin_dir_path( dirname( __FILE__ ) ) . 'includes/class-fazaewpbooster-loader.php';
    }

    public function activate() {
        
    }

    public function deactivate() {
        
    }

    public function configure() {
//        $this->loader();
        register_activation_hook(__FILE__, array(self::class, "activate"));
        register_deactivation_hook(__FILE__, array(self::class, "deactivate"));
    }

}
