<?php

/**
 * Fired when the plugin is uninstalled.
 * @since      1.0.0
 * @package    Fazacrm
 * @author     Leo Coulomb
 */
// If uninstall not called from WordPress, then exit.
if (!defined('WP_UNINSTALL_PLUGIN')) {
    exit;
}

fazacrm_delete_custom_options_data();

/**
 * Supprime les options ajoutées par le plugin
 * qui sont toutes prefixées de 'fazacrm'
 * @global type $wpdb
 */
function fazacrm_delete_custom_options_data() {
    global $wpdb;
    $option_prefix = $wpdb->esc_like('fazacrm') . '%';
    $sql = "DELETE FROM $wpdb->options WHERE option_name LIKE %s";
    $sql = $wpdb->prepare($sql, $option_prefix);
    $wpdb->query($sql);
}
