<?php
/**
 * Affiche le formulaire permettant de tester la communiquation avec
 * le fazaCRM afin de vérifier la bonne configuration de l'URL et 
 * de la clé privée. 
 * @author     Leo Coulomb
 */
?>
<div class="wrap">
    <h1>FazaCRM - <?php _e('Configuration test', 'fazacrmclient'); ?></h1>
    <hr/>
    <table class="wp-list-table widefat fixed integration">
        <thead>
            <tr>
                <th class="subtitle">
                    <strong>Comment ça marche ?</strong>
                </th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td colspan="3" class="inside-container">
                    <ul class="documentation-list">
                        <li><p>
                                Cette page permet de vérifier la bonne configuration du plugin.<br/>
                                Vous pouvez entrer une adresse mail de test, celle-ci sera ajoutée comme un nouveau contact dans le FazaCrm.</p></li>
                        <li> <p>
                                Les boutons ci-dessous correspondent à l'inscription et à la désinscription des newsletters du FazaCrm. <br/>
                                Une fois le formulaire envoyé vous obtiendrez un récapitulatif de l'opération.</p></li>
                        <li> <p>
                                Si tout s'est bien déroulé, le message vous proposera un lien vers la fiche de contact nouvellement créée dans le FazaCrm.<br/>
                                Cela vous permettra de vérifier si vos réglages sont corrects.</p></li>
                    </ul>
                </td> 
            </tr>
        </tbody>
    </table>
    <hr/>
    <div class="form">
        <form action="<?php get_permalink(); // L'URL de la page courante  ?>" method="post">
            <table class="form-table">
                <tbody>
                    <tr valign="top">

                        <th scope="row" class="configtest-label">
                            <label for="fazacrm_test_email">Email : </label>
                        </th>

                        <td>
                            <input class="regular-text" type="text" id="fazacrm_test_email" name="fazacrm_test_email" value=""
                                   aria-describedby="email-description" placeholder="example@gmail.com"/>

                            <p id="fazacrm_test_email-description" class="description">
                                <?php _e('Enter your email address to verify your configuration', 'fazacrmclient'); ?> </p>
                        </td>

                    </tr>
                </tbody>
            </table>
            <p class="submit">
                <input type="submit" name="fazacrm_subscribe" id="fazacrm_subscribe" class="button button-primary" value="<?php _e('Subscribe', 'fazacrmclient'); ?>">
                <input type="submit" name="fazacrm_unsubscribe" id="fazacrm_unsubscribe" class="button button-primary" value="<?php _e('Unsubscribe', 'fazacrmclient'); ?>">
            </p>
        </form>
    </div>
</div>

