<?php
/**
 * Affiche la documentation du plugin, comment l'implementer 
 * et les fonctions à utiliser.
 * @author     Leo Coulomb
 */
?>
<div class="wrap">
    <h1>FazaCRM - <?php _e('Documentation', 'fazacrmclient'); ?></h1>
    <hr/>
    <table class="wp-list-table widefat fixed integration">
        <thead>
            <tr>
                <th class="subtitle">
                    <strong>1. Comment configurer le plugin?</strong>
                </th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td colspan="3" class="inside-container">
                    <ul class="documentation-list">
                        <li><p>Tout d'abord, se rendre dans l'onglet <strong><a href="<?php menu_page_url('fazacrm'); ?>"> Paramètres</a></strong>  (ou settings selon la langue) et ajoutez y l'URL
                                du FazaCRM ainsi que la clé privée fournie par Fazaé permettant d'accéder à l'API. Enregistrer les paramètres.<p/></li>
                        <li><p>Effectuer un test pour vérifier votre configuration du plugin en entrant votre adresse mail dans le champ prévu
                                à cet effet sur la page <strong><a href="<?php menu_page_url('fazacrm_test_configuration'); ?>">Test de configuration</a></strong> accessible dans les sous-menus du plugin, essayez de vous inscrire et/ou de vous désinscrire du FazaCRM, 
                                si le message de retour ne vous signale pas d'erreur c'est que votre configuration est correct.</p></li>
                    </ul>
                </td> 
            </tr>
            <tr>
                <th class="subtitle">
                    <strong>2. Les fonctions à utiliser</strong>
                </th>
            </tr>
            <tr>
                <td colspan="3" class="inside-container">
                    <ul class="documentation-list">
                        <li><p>Les fonctions à utiliser sont celles se trouvant dans <strong>fazacrmclient/src/Contact.php</strong>. Il s'agit d'une classe 
                                PHP se nommant <strong>Contact</strong>, les méthodes à utiliser sont
                                <strong>fazaCRMContactSubscribe($email)</strong> et <strong>fazaCRMContactUnsubscribe($email)</strong>. 
                                Toutes deux acceptants comme paramètre une adresse mail sous forme d'une chaine de caractères.
                            <p/>
                            <p>Ces deux fonctions acceptent comme paramètre l'adresse mail de la personne souhaitant s'inscrire aux FazaCRM (si le contact n'existe pas)
                                Et la fonction fazaCRMContactSubscribe($email) permet d'inscrire l'email au newsletters Fazaé tandis que fazaCRMContactUnsubscribe($email) permet
                                de la desinscrire de ces newsletters.</p>
                        </li>
                        <li><p>Elles ne sont pas static, il faut donc <strong> instancier un objet Contact</strong> pour les utiliser. Comme dans l'exemple qui suit : </p>
                            <img src="<?php echo plugins_url('assets/images/documentation-1.png', dirname(__FILE__)) ?>"/></li><br/>
                        <p><i>Noté que la classe se situe dans le namespace '\fazacrmclient\'. Ces dernières retournent toutes deux une valeur, il s'agit de l'ID du contact créé, mais en cas d'echec 
                                lors de l'inscription et/ou de la désincription les deux fonctions retourne un booléen à la valeur false
                                afin de signaler une erreur.</i></p>
                        <li><p>Pour la gestion des erreurs la classe <strong>Contact</strong> posséde une méthode <strong>getMessage()</strong>
                                qui retourne un message<strong> sous forme de chaîne de caractères</strong> spécifique en cas d'erreur ou de succès. Deux cas possible :</p> 
                            <ol>
                                <li><p><strong>L'ID vaut false</strong> : getMessage() contiendra un message spécifiant l'erreur survenue lors de l'échange.</p></li>
                                <li><p><strong>L'ID est un entier</strong> : getMessage() contiendra un message comfirmant le succès de l'échange.</p></li>
                            </ol>
                            <p><strong> Exemple d'utilisation : </strong></p>
                            <img src="<?php echo plugins_url('assets/images/documentation-2.png', dirname(__FILE__)) ?>"/></li>
                    </ul>
                </td>
            </tr>
        </tbody>
    </table>
</div>

