<?php
/**
 * Affiche le formulaire permettant de configurer
 * la communication avec le FazaCRM et définit les champs (URL/Clé privée)
 * comme options à sauvegarder dans la base de données.
 * @author     Leo Coulomb
 */
?>
<div class="wrap">
    <h1>FazaCRM - <?php _e('General settings', 'fazacrmclient'); ?></h1>    
    <hr/>
    <?php settings_errors(); // Autorise l'affichage des messages d'erreurs.'?>
    <div class="form">
        <form action="options.php" method="post" novalidate="novalidate">
            <?php settings_fields('fazacrm_admin_settings'); //Permet de lier les champs définis dans la classe correspondante aux champs du formulaire.  ?>
            <table class="form-table">
                <tbody>

                    <tr valign="top">

                        <th scope="row">
                            <label for="fazacrm_urlFazacrm"><?php _e('FazaCRM\'s URL', 'fazacrmclient'); ?> : </label>
                        </th>

                        <td>
                            <input class="regular-text" type="text" id="urlFazacrm" name="fazacrm_urlFazacrm" 
                                   value="<?php echo \fazacrmclient\GeneralSettings::$UrlFazacrm ?>"
                                   aria-describedby="fazacrm_urlFazacrm-description"/>

                            <p id="fazacrm_urlFazacrm-description" class="description">
                                <?php _e('Put the URL of the FazaCRM', 'fazacrmclient'); ?> </p>
                            <p id="fazacrm_urlFazacrm-description" class="description">
                                <?php _e('e.g : ', 'fazacrmclient'); ?> <strong>https://monsite.fazacrm.com/</strong></p>
                        </td>
                    </tr>

                    <tr valign="top">

                        <th scope="row">
                            <label for="fazacrm_keyPrivate"> <?php _e('API key', 'fazacrmclient'); ?> :</label>
                        </th>

                        <td>
                            <input class="regular-text" type="text" id="keyPrivate" name="fazacrm_keyPrivate" 
                                   value="<?php echo \fazacrmclient\GeneralSettings::$KeyPrivate ?>"
                                   aria-describedby="fazacrm_keyPrivate-description"/>

                            <p id="fazacrm_keyPrivate-description" class="description">
                                <?php _e('Enter your private key', 'fazacrmclient'); ?></p>
                            <p id="fazacrm_keyPrivate-description" class="description">
                                <?php _e('The API Key is stored on your FazaCRM\'s account', 'fazacrmclient'); ?> <br/>
                                <a href="http://fazacrm/app_dev.php/User/update" target="_blank"><?php _e('Get your key here', 'fazacrmclient') ?></a></p>
                        </td>
                    </tr>

                    <tr valign="top">
                        <th scope="row">
                            <?php _e('Status', 'fazacrmclient'); ?> :
                        </th>
                        <td>
                            <span class="fazacrmapi-status <?php echo \fazacrmclient\GeneralSettings::$apiStatusClass ?>">
                                <?php _e(\fazacrmclient\GeneralSettings::$apiStatusMessage, 'fazacrmclient') ?></span>

                            <p id="fazacrm_keyPrivate-description" class="description">
                                <?php _e('When you will save your configuration, we will check', 'fazacrmclient'); ?></p>
                            <p id="fazacrm_keyPrivate-description" class="description">
                                <?php _e('if all of your settings are correct.', 'fazacrmclient'); ?> <br/></p>
                        </td>
                    </tr>
                </tbody>
            </table>
            <?php submit_button(__('Save Changes', 'fazacrmclient'), 'primary', 'fazacrm_settings_submit'); ?>
        </form>
    </div>
</div>